# This file is in the public domain
libanastasis = library(
    'anastasis',
    ['anastasis_backup.c', 'anastasis_meta.c', 'anastasis_recovery.c'],
    soversion: solibversions['libanastasis']['soversion'],
    version: solibversions['libanastasis']['soversion'],
    install_rpath: rpath_option,
    dependencies: [
        libanastasisrest_dep,
        talerjson_dep,
        talerutil_dep,
        talermerchant_dep,
        gnunetjson_dep,
        json_dep,
        gnunetutil_dep,
        libanastasisutil_dep,
        zlib_dep,
    ],
    include_directories: [incdir, configuration_inc],
    install: true,
    install_dir: get_option('libdir'),
)

libanastasis_dep = declare_dependency(link_with: libanastasis)
pkg.generate(
    libanastasis,
    url: 'https://taler.net',
    description: 'GNU Taler anastasis library',
)


